> ## Documentation Index
> Fetch the complete documentation index at: https://developers.telnyx.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get all test suite names

> Retrieves a list of all distinct test suite names available to the current user



## OpenAPI

````yaml https://telnyx-openapi-ng.s3.us-east-1.amazonaws.com/ai/assistants.yml get /ai/assistants/tests/test-suites
openapi: 3.1.0
info:
  title: Telnyx AI Assistants API
  version: 2.0.0
  description: >-
    API for managing AI Assistants, including CRUD fields, versions, tags,
    integrations, MCP servers, and shared tools.
  contact:
    email: support@telnyx.com
servers:
  - url: https://api.telnyx.com/v2
security:
  - bearerAuth: []
paths:
  /ai/assistants/tests/test-suites:
    get:
      tags:
        - Assistants
      summary: Get all test suite names
      description: >-
        Retrieves a list of all distinct test suite names available to the
        current user
      operationId: fetch_test_suites_public_assistants_tests_test_suites_get
      responses:
        '200':
          description: >-
            Returns an array of unique test suite names for filtering and
            organization
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TestSuitesResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      x-codeSamples:
        - lang: JavaScript
          source: >-
            import Telnyx from 'telnyx';


            const client = new Telnyx({
              apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
            });


            const testSuites = await
            client.ai.assistants.tests.testSuites.list();


            console.log(testSuites.data);
        - lang: Python
          source: |-
            import os
            from telnyx import Telnyx

            client = Telnyx(
                api_key=os.environ.get("TELNYX_API_KEY"),  # This is the default and can be omitted
            )
            test_suites = client.ai.assistants.tests.test_suites.list()
            print(test_suites.data)
        - lang: Go
          source: "package main\n\nimport (\n\t\"context\"\n\t\"fmt\"\n\n\t\"github.com/team-telnyx/telnyx-go\"\n\t\"github.com/team-telnyx/telnyx-go/option\"\n)\n\nfunc main() {\n\tclient := telnyx.NewClient(\n\t\toption.WithAPIKey(\"My API Key\"),\n\t)\n\ttestSuites, err := client.AI.Assistants.Tests.TestSuites.List(context.TODO())\n\tif err != nil {\n\t\tpanic(err.Error())\n\t}\n\tfmt.Printf(\"%+v\\n\", testSuites.Data)\n}\n"
        - lang: Java
          source: >-
            package com.telnyx.sdk.example;


            import com.telnyx.sdk.client.TelnyxClient;

            import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;

            import
            com.telnyx.sdk.models.ai.assistants.tests.testsuites.TestSuiteListParams;

            import
            com.telnyx.sdk.models.ai.assistants.tests.testsuites.TestSuiteListResponse;


            public final class Main {
                private Main() {}

                public static void main(String[] args) {
                    TelnyxClient client = TelnyxOkHttpClient.fromEnv();

                    TestSuiteListResponse testSuites = client.ai().assistants().tests().testSuites().list();
                }
            }
        - lang: Ruby
          source: |-
            require "telnyx"

            telnyx = Telnyx::Client.new(api_key: "My API Key")

            test_suites = telnyx.ai.assistants.tests.test_suites.list

            puts(test_suites)
        - lang: PHP
          source: >-
            <?php


            require_once dirname(__DIR__) . '/vendor/autoload.php';


            use Telnyx\Client;

            use Telnyx\Core\Exceptions\APIException;


            $client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API
            Key');


            try {
              $testSuites = $client->ai->assistants->tests->testSuites->list();

              var_dump($testSuites);
            } catch (APIException $e) {
              echo $e->getMessage();
            }
        - lang: CLI
          source: |-
            telnyx ai:assistants:tests:test-suites list \
              --api-key 'My API Key'
components:
  schemas:
    TestSuitesResponse:
      properties:
        data:
          items:
            type: string
          type: array
          title: Data
          description: Array of unique test suite names available to the user.
          example:
            - customer-support
            - sales-flow
            - onboarding
      type: object
      required:
        - data
      title: TestSuitesResponse
      description: |-
        Response containing all available test suite names.

        Returns a list of distinct test suite names that can be used for
        filtering and organizing tests.
    HTTPValidationError:
      title: HTTPValidationError
      type: object
      properties:
        detail:
          title: Detail
          type: array
          items:
            $ref: '#/components/schemas/ValidationError'
    ValidationError:
      title: ValidationError
      required:
        - loc
        - msg
        - type
      type: object
      properties:
        loc:
          title: Location
          type: array
          items:
            anyOf:
              - type: string
              - type: integer
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
  securitySchemes:
    bearerAuth:
      scheme: bearer
      type: http

````